<template>
    <h3>{{ message }}</h3>
</template>

<script>
    const fb = require('../firebaseConfig.js');

    export default {
        name: 'Login',
        props: ['token'],
        data() {
            return {
                message: 'Working ...',
                authToken: this.token,
                continueToSignIn: false
            }
        },
        beforeCreate() {
            if (this.authToken === undefined) {
                this.message = "Sending you to sign in ...";
                window.location.href = "https://accounts.tcff.co/signin?callback_uri=http://localhost:8080/login&service=checkin.tomorrow.tcff.co";
            } else {
                this.continueToSignIn = true;
            }
        },
        created() {
            if (this.continueToSignIn) {
                fb.auth.signInWithCustomToken(this.authToken).then(() => {
                    const user = fb.currentUser;
                    if (user.claims.tctOrganizer === true) {
                        this.message = "Redirecting you...";
                        this.$router.push("/");
                    } else {
                        this.message = this.$router.push('/error');
                    }
                }).catch((error) => {
                    console.log(error.message);
                });
            }
        }
    }
</script>

<style scoped>
    h3 {
        margin-top: 50px;
        text-align: center;
    }
</style>